/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-14
 * 描述            ：合同条款配置表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Order.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Order.mapper.PurOrderClauseMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_ORDER_CLAUSE", namespace=PurOrderClauseMapper.class)
public class PurOrderClause extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -8990006692120127306L;
	/** 
	 * 条款代码
	 */ 
	@Id
	private String clause_code;
	public String getClause_code() {
		return this.clause_code;
	}
	public void setClause_code(String clause_code) {
		this.clause_code = clause_code;
	}

	/** 
	 * 条款名称
	 */ 
	@Column
	private String clause_name;
	public String getClause_name() {
		return this.clause_name;
	}
	public void setClause_name(String clause_name) {
		this.clause_name = clause_name;
	}

	/** 
	 * 条款内容
	 */ 
	@Column
	private String clause_desc;
	public String getClause_desc() {
		return this.clause_desc;
	}
	public void setClause_desc(String clause_desc) {
		this.clause_desc = clause_desc;
	}

	/** 
	 * 适用合同类别
	 */ 
	@Column
	private String order_type;
	public String getOrder_type() {
		return this.order_type;
	}
	public void setOrder_type(String order_type) {
		this.order_type = order_type;
	}

	/** 
	 * 条款分类
	 */ 
	@Column
	private String clause_type;
	public String getClause_type() {
		return this.clause_type;
	}
	public void setClause_type(String clause_type) {
		this.clause_type = clause_type;
	}

	/** 
	 * 是否必选(1是、0否）
	 */ 
	@Column
	private String clause_default;
	public String getClause_default() {
		return this.clause_default;
	}
	public void setClause_default(String clause_default) {
		this.clause_default = clause_default;
	}

	/** 
	 * 条款排序
	 */ 
	@Column
	private Long clause_order_by;
	public Long getClause_order_by() {
		return this.clause_order_by;
	}
	public void setClause_order_by(Long clause_order_by) {
		this.clause_order_by = clause_order_by;
	}

	/** 
	 * 数据状态（1有效、0无效）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 废除人ID
	 */ 
	@Column
	private String delete_userid;
	public String getDelete_userid() {
		return this.delete_userid;
	}
	public void setDelete_userid(String delete_userid) {
		this.delete_userid = delete_userid;
	}

	/** 
	 * 废除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 废除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

}
